Subject: Re: bug#14812: 24.3; build failure on FreeBSD 9.1

From: [email-masked] (Ashish SHUKLA)
Date: Thu, 18 Jul 2013 11:48:44 +0530

Hi Glenn,

Thanks for going through the diffs.

On Tue, 16 Jul 2013 14:58:24 -0400, Glenn Morris <[email-masked]> said:
> Ashish SHUKLA wrote:

>>>> [1]  http://svnweb.freebsd.org/ports/head/editors/emacs-devel/files/
> [...]
>> Sorry about that, though couple of these patches are actually taken
>> from Emacs bug reports, except for the two which patches which I
>> posted before, and the one specific to ARM/SPARC architecture which
>> are specific to FreeBSD, and very hackish in nature.

> If there are any patches there that you think we need in Emacs trunk,
> and don't yet have, could you point them out? (Ideally, with a separate
> bug report for each.) The patches don't seem to have clear descriptions
> of what they do.

> The configure.ac patches removes the test for ALSA altogether - why?

ALSA is not native sound system for FreeBSD, and OSS support is already
available so it was excluded.

> And adds some stuff related to processes (?), see below.

the libutil.h change (in src/process.c) was for openpty which Emacs was using
at one point of time[1]. It'll be removed as it's not needed anymore.

> You don't need any of the patch-doc-*-Makefile.in any more,
> since --no-split is the default since 24.3.

I'll remove it as well.

> I guess
> patch-src_coding.c == http://debbugs.gnu.org/8522 ?
> If you've tested it and it works, it would be helpful to add that
> comment in that report.

I'll ask original reporter to reply to that thread, as I'm not a Japanese
user.

> The src/lisp.h, lib/verify.h ones are redundant now that this report is
> fixed?

Yes, I'll remove them, once I make sure they don't break anything with all
compilers FreeBSD is targeting (clang, GCC 4.2, GCC 4.6+).

> The sources.el one is some packaging-specific thing?

They're for installing sources with Emacs, borrowed from Gentoo GNU/Linux patch.

> The src/sysdep.c one is to do with list-system-processes, but Emacs 24
> already has an implementation for FreeBSD, so I don't understand.
> The src/process.c and part of the configure.ac patch are related to this?

This patch was from bug# 5243, which seems to be committed last year, so it's
not needed anymore.

Are the changes for ARM/SPARC architecture from patch-src_sysdep.c good enough ?
If you think those are fine, then I can file a bug report along with the changes.

References:
[1]  http://www.freebsd.org/cgi/query-pr.cgi?pr=161181

Thanks
-- 
Ashish SHUKLA

”A verbal contract isn't worth the paper it's written on.” (Samuel Goldwyn)

Sent from my Emacs